WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: WP-dTree] js libraries compatibility (2 posts)

  1. sakamoro
    Member
    Posted 5 years ago #

    There are compatibility issues when using different js libraries. Specifically, in my case, scriptacolous and MooTools are conflicting with each other.
    Best thing would be to allow picking a library of choice from admin menu. Also useful would be the possibility of not loading the library, but having the effects active (if the library is already loaded by other plugins).

  2. ulfben
    Member
    Posted 5 years ago #

    Correct me if I'm wrong, but MooTools is not in the standard WP-distribution, whereas scriptacolous is. Adding support for every javascript-library a user might install is not feasible.

    Don't know why they would conflict though. If there's a proper fix I can apply, please let me know.

    I'm using wp_enqueue_script to load the necessary scripts (prototype and scriptaculous-effects), so they are never loaded twice.

Topic Closed

This topic has been closed to new replies.

About this Topic